import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { environment } from '@env/environment';
import { Observable } from 'rxjs/Observable';
import { Response } from '@app/modelo/dto/response';
import { PortadaTipo } from '@app/modelo';

@Injectable()
export class PortadaTipoService {

    constructor(private httpClient: HttpClient) { }

    public buscarTiposDePortadas(ciaopr: string = environment.ciaopr): Observable<Response> {
        let urlrequest = environment.rest_url;

        urlrequest += 'portada_tipo/' + environment.ciaopr;

        return this.httpClient.get<Response>(urlrequest);
    }
}
