import { Injectable } from '@angular/core';
import { Md5 } from 'ts-md5/dist/md5';
import { environment } from '@env/environment';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Reporte } from '@app/modelo';
import { Observable } from 'rxjs/Observable';
@Injectable()
export class ReporteService {

 	constructor(private httpClient: HttpClient) { }

	public obtenerReporte(ciaopr: string,
		reporte:Reporte):Observable<Response>{

		 let urlrequest = environment.rest_url;
		  urlrequest += 'reporte/' + environment.ciaopr;
		  return this.httpClient.post<Response>(urlrequest, reporte);
	}

}