import { NgModule } from '@angular/core';
import { NotaService,NotasXAutorService, LoginService, AutoresXUsuarioService, TagService, UserService,ReporteService, MsRecursoService, FechaService } from '@app/modelo';
import { AuthGuard } from '@app/util/auth-guard';
import { InterceptorService } from '@app/util/interceptor.service';
import { HttpClientModule, HTTP_INTERCEPTORS } from '@angular/common/http';
import { Md5 } from 'ts-md5/dist/md5';

@NgModule({
  	declarations: [
			NotaService,
			NotasXAutorService,
			LoginService,
			AutoresXUsuarioService,
			TagService,
            UserService,
			AuthGuard,
			InterceptorService,
			Md5,
			ReporteService,
			MsRecursoService,
			FechaService

  	],
	exports: [
			NotaService,
			NotasXAutorService,
			LoginService,
			AutoresXUsuarioService,
			TagService,
            UserService,
			AuthGuard,
			InterceptorService,
			Md5,
			ReporteService,
			MsRecursoService,
			FechaService
  ]
})
export class AppModule { }
