import { NgModule } from '@angular/core';
import { AutoresXUsuarioService,
		LoginService,
		NotaService,
        NotaTipoService,
		NotasXAutorService,
		PaginaService,
		PortadaTipoService,
		PortadaVarianteBloqueDefService,
		PortadaVarianteDefService,
		SeccionService,
		TagService,
		UserService,ReporteService,
		MsRecursoService,
		FechaService
	 } from '@app/modelo';
import { AuthGuard } from '@app/util/auth-guard';
import { InterceptorService } from '@app/util/interceptor.service';
import { HttpClientModule, HTTP_INTERCEPTORS } from '@angular/common/http';
import { Md5 } from 'ts-md5/dist/md5';


@NgModule({
  	declarations: [
		AutoresXUsuarioService,
		LoginService,
		NotaService,
        NotaTipoService,
		NotasXAutorService,
		PaginaService,
		PortadaTipoService,
		PortadaVarianteBloqueDefService,
		PortadaVarianteDefService,
		SeccionService,
		TagService,
        UserService,
		AuthGuard,
		InterceptorService,
		Md5,
		ReporteService,
		MsRecursoService,
		FechaService
  	],
	exports: [
	  	AutoresXUsuarioService,
		LoginService,
		NotaService,
        NotaTipoService,
		NotasXAutorService,
		PaginaService,
		PortadaTipoService,
		PortadaVarianteBloqueDefService,
		PortadaVarianteDefService,
		SeccionService,
		TagService,
        UserService,
		AuthGuard,
		InterceptorService,
		Md5,
		ReporteService,
		MsRecursoService,
		FechaService
  ]
})
export class ModeloModule { }
