import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { environment } from '@env/environment';
import { Pagina, PaginaConsulta } from '@app/modelo';

@Injectable()
export class EdicionOfflineService {

  constructor(private httpClient: HttpClient) { }

  public getEdicionesOffline(pagina_consulta: PaginaConsulta) : Observable<Pagina[]> {


    return this.httpClient.post<Pagina[]>(
			`${environment.rest_url}ediciones_offline/list_eol/${environment.ciaopr}`, pagina_consulta); 
  }

}
