import { Injectable } from '@angular/core';

@Injectable()
export class FechaService {

  constructor() { }

  public async decodeKey(licCode: string, url: string) {
    const dia = parseInt(licCode.charAt(licCode.length-1) + licCode.charAt(0));
    const anno = parseInt(licCode.substr(2,parseInt(licCode.charAt(1))))/dia;
    const mes = parseInt(licCode.substr(parseInt(licCode.charAt(1))+2).slice(0,-1))+dia-anno;
    const date = new Date(`${mes}/${dia}/${anno}`)  
    const hoy = await fetch(url,{cache:'no-cache'})
                .then(function(resp){return resp.json()})
                .then(function(respj){return new Date(respj.date)});
    return (Math.trunc((date.getTime() - hoy.getTime()) / (1000*60*60*24)))
  }

}
