import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { environment } from '@env/environment';

@Injectable()
export class NotasXAutorService {

    constructor(private httpClient: HttpClient) { }

    public validarAutoresNota(usuarioCod: string, notaId: string):  Observable<boolean>{
      let urlrequest = environment.rest_url;

      urlrequest += 'notas_x_autor/valida_autores/'+ environment.ciaopr;
      urlrequest += '/'+ usuarioCod + '/' + notaId;

      return this.httpClient.get<boolean>(urlrequest);
    }

}
