import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { environment } from '@env/environment';
import { Observable } from 'rxjs/Observable';

@Injectable()
export class PortadaVarianteDefService {

    constructor(private httpClient: HttpClient) { }

    public buscarTiposDePortadas(ciaopr: string = environment.ciaopr, portadatipocod: string): Observable<Response> {
        let urlrequest = environment.rest_url;

        urlrequest += 'portada_variante_def/' + ciaopr;
        urlrequest += '/' + portadatipocod;
        return this.httpClient.get<Response>(urlrequest);
    }
}
