import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Usuario } from '@app/modelo';
import { CambiaPassword } from '@app/modelo';
import { environment } from '@env/environment';
import { Observable } from 'rxjs/Observable';

@Injectable()
export class UserService {

    constructor(private httpClient: HttpClient) { }

    public cambiaClave (cambia_clave: CambiaPassword): Observable<Usuario> {
		let urlrequest: string;
        urlrequest = environment.rest_url +
                    'segUsers/cambiapassword/'+ environment.ciaopr;
        return this.httpClient.put<Usuario>(urlrequest, cambia_clave);
	}

}
